[papywizard v1] Annonces, bugs, utilisation  

Un espace complet pour discuter de ce projet : modifier une tête astronomique merlin pour les besoins de la photo panoramique
User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

[papywizard v1] Annonces, bugs, utilisation

by fma38 » Thu Jan 10, 2008 12:37 pm

Bon, j'ai donc choisi papywizard (PAnoramic PYthon WIZARD) comme nom pour mon soft de pilotage. J'ai créé un dépôt subversion (système de gestion des révisions), et un bug-tracker. Cf :

http://trac.gbiloba.org/papywizard

Pour récupérer une version donnée, il faut aller dans TAGS. TRUNK est la version de dev. courante. Il y a un bouton en bas de chaque page pour récupérer une archive zip contenant les sources. Je vais ajouter le lien vers le binaire windows.
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Fri Jun 06, 2008 12:30 pm

Juste pour annoncer la sortie de la version 0.9beta2 de papywizard (cf lien sur le précédent post).

La grande nouveauté c'est le paquet debian utilisable directement sur plateforme maemo (Nokia 770, 800 et 810). J'ai pour l'instant viré le support windows, mais je le remettrai d'ici peu (attention, uniquement pour les PC ; le nouveau toolkit graphique utilisé pour maemo n'existe pas sous windowsCE).

Si vous avez un Nokia, merci de me dire si ça s'installe et tourne bien (pour le 770, il faut mettre à  jour l'OS avec la Hacker Edition. Contactez-moi pour plus d'infos).
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Thu Jun 26, 2008 8:43 pm

à‡a y est, la première version stable (0.9) est prête !

Pour le moment, seul le mode 'mosaïque' est implémenté, mais je planche dès à  présent sur le sphérique ;)
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Sat Jun 28, 2008 8:12 pm

Bon, la prochaine mouture de papywizard, outre le sphérique, comportera une progression graphique pendant la prise de vue, comme Alexandre l'avait suggéré...


Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Wed Jul 09, 2008 7:54 am

Une petite mise à  jour (0.9.1) corrige un bug dans le calcul du nombre d'images, qui posait problème sur les panos 360°x180°.
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

no avatar
numz
Member
 
Posts: 116
Joined: Wed May 21, 2008 2:20 pm

by numz » Fri Jul 11, 2008 9:42 am

Bonjour fma38,
j'ai tenté d'installer papywizard sur un eeepc sous xandros, j'ai une erreur :
"impossible d'installer le paquetage papywizard_0.9.1-1.deb. Vérifiez votre installation et recommencez."

Y a-t-il une manipulation spéciale que j'ai manqué ?
en même temps j'ai essayé d'installer :
# PyGTK -- GTK+ for Python
# pySerial -- serial bus access for python
# pybluez -- bluetooth python wrapper

Et je n'ai que des messages d'erreurs de problèmes de dépendances...

Je vais tenter l'install sur un HP W6915.

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Fri Jul 11, 2008 10:34 am

Ah, intéressant, ça des tests sur le eeepc...

Bon, pour papywizard, le paquet debian est prévu pour l'architecture du Nokia. Essaye plutôt :

# dpkg --force-architecture -i papywizard...

sous le compte root, ou :

$ sudo dpkg --force-architecture -i papywizard...

sous le compte utilisateur.

Pour les autres paquets, comment les as-tu installés ? Via apt-get ? Ou via le gestionnaire de paquets sur le eeepc (quel est-il ?) ? Peux-tu poster les messages d'erreur ?
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

no avatar
numz
Member
 
Posts: 116
Joined: Wed May 21, 2008 2:20 pm

by numz » Fri Jul 11, 2008 10:50 am

Je suis une quiche en linux alors je ne fais peut-être pas les bonnes manip'
Pour installer papywizard, je télécharge le .deb, clic droit > installer le .deb et c'est là  que j'ai le message indiqué avant.
Pour les autres paquets j'ai essayé avec synaptic mais je ne suis pas allé trop loin parce qu'il m'indique qu'il doit supprimer énormément de chose avant d'installer le reste...

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Fri Jul 11, 2008 10:51 am

Bon, pour papywizard, ouvre une console, et tape la commande que j'ai donnée (il faut sans doute faire un sudo suivi de la commande, ou même passer root).

Pour synaptic, c'est bizarre qu'il veuille virer plein de choses... Essaye juste pygtk (ça doit être plutôt python-gtk2, le paquet), et poste-moi ce qu'il te dit (annule s'il veut virer des choses)...
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

no avatar
numz
Member
 
Posts: 116
Joined: Wed May 21, 2008 2:20 pm

by numz » Fri Jul 11, 2008 11:01 am

Question bête : comment est-ce que je peux copier ce qu'il y a dans la console ?

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Fri Jul 11, 2008 11:07 am

Tu sélectionnes simplement ce que tu veux, et à  l'endroit où tu veux coller, tu cliques sur le bouton central de ta souris. Là , c'est carrément le serveur X qui le fait, donc ça marche entre n'importe quelles applis (une fois que tu a goûte à  ça, tu te demandes tu faisais sans ;) ).

Sinon, avec le bouton droit dans la console, tu dois bien avoir un menu contextuel avec des copier/coller, non ?
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

no avatar
numz
Member
 
Posts: 116
Joined: Wed May 21, 2008 2:20 pm

by numz » Fri Jul 11, 2008 11:10 am

Ok, merc pour l'asruce.
Alors voilà  ce que je viens de faire :

/home/user> sudo dpkg --force-architecture -i papywizard_0.9.1-1_all.deb
(Lecture de la base de données... 66116 fichiers et répertoires déjà  installés.)
Préparation du remplacement de papywizard 0.9.1-1 (en utilisant papywizard_0.9.1-1_all.deb) ...
Dépaquetage de la mise à  jour de papywizard ...
dpkg : des problèmes de dépendances empêchent la configuration de papywizard :
papywizard dépend de python2.5-hildon ; cependant :
Le paquet python2.5-hildon n'est pas installé.
papywizard dépend de python2.5-gtk2 ; cependant :
Le paquet python2.5-gtk2 n'est pas installé.
dpkg : erreur de traitement de papywizard (--install) :
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
papywizard


et quand j'essaye d'installer python :

/home/user> sudo apt-get install python
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
python est déjà  la plus récente version disponible.
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
asus-usbstorageapplet-update-2: Dépend: usbstorageapplet-fr-fr (>= 1.1.69-1) mais ne sera pas installé
papywizard: Dépend: python2.5-hildon mais il n'est pas installable
Dépend: python2.5-gtk2 mais il n'est pas installable
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).

C'est un peu du charabia pour moi...

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Fri Jul 11, 2008 11:24 am

Bon, pour le premier problème, je m'en doutais un peu ; comme il y a des dépendances spécifique au Nokia, ça coince. Essaye :

$ sudo dpkg --force-architecture --force-depends -i papywizard_0.9.1-1_all.deb

Si ça ne marche pas, essaye de faire ce qu'il dit, avant :

$sudo apt-get -f install

puis ré-essaye.

Pour le problème de python, est-ce que ta distrib est à  jour ? Fait au minimum un :

$ sudo apt-get update

puis essaye d'installer python-gtk2 de nouveau...

Au fait, si ce n'est pas déjà  fait, je te conseille de t'inscrire sur la liste de la Guilde (Guilde des Utilisateurs d'Informatique Libre du Dauphinà‰). C'est un LUG sur Grenoble, mais la liste est quasi internationale ;) Trafic moyen, très sympa, et plein de gens super compétents :

http://www.guilde.asso.fr
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

no avatar
numz
Member
 
Posts: 116
Joined: Wed May 21, 2008 2:20 pm

by numz » Fri Jul 11, 2008 12:55 pm

Ok, je teste ce soir ou demain, boulot oblige.

no avatar
numz
Member
 
Posts: 116
Joined: Wed May 21, 2008 2:20 pm

by numz » Sun Jul 13, 2008 8:51 am

J'ai réessayé pendant 2h... rien à  faire toujours des problèmes de dépendances...Pas moyen d'installer python, toujours un pb avec "asus-usbstorageapplet".
Quand je passe dans le panneau de mise à  jour de xandros, tout est à  jour.
Il faudrait que j'ai le courage de reformater l'eeepc à  son réglage d'usine...
Mais pas en ce moment.

Si tu as une astuce.

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Sun Jul 13, 2008 9:23 am

En fait, j'avais mal lu : python est déjà  bien installé (il te dit que c'est déjà  la dernière version). Il te manque donc juste python-gtk2. As-tu essayé de l'installer ? Est-ce que papywizard s'installe avec les 2 options pour le forcer ? As-tu essayé de l'exécuter ?
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

no avatar
numz
Member
 
Posts: 116
Joined: Wed May 21, 2008 2:20 pm

by numz » Tue Jul 15, 2008 9:08 pm

Pour ceux que cela intéresse, fma38 m'a aidé à  installer papywizard sur le eeepc et çà  tourne.

User avatar
claudevh
Member
 
Posts: 1341
Joined: Sun Nov 25, 2007 11:12 pm
Location: Mont-Saint-André (Belgium)

by claudevh » Sat Aug 02, 2008 6:23 pm

Bonsoir à  tous ...

Frédéric, suite à  un "crash" PC, j'ai dû en changer et ce PC tourne sous Vista ...

Depuis je n'arrive plus à  faire fonctionner Papywizard, depuis PythonWin je reçoit le message suivant :
"Traceback (most recent call last):
File "C:\Python25\Lib\site-packages\Pythonwin\pywin\framework\scriptutils.py", line 312, in RunScript
exec codeObject in __main__.__dict__
File "C:\Users\Claude\Documents\PapyWizard\Première version stable\tags_0.9.1-r427\tags\0.9.1\papywizard.py", line 52, in <module>
import gtk
File "C:\Python25\lib\site-packages\gtk-2.0\gtk\__init__.py", line 38, in <module>
import gobject as _gobject
ImportError: No module named gobject"

Peux tu m'aider ?

J'ai trouvé une interface RS232/TTL qui fonctionne (fonctionnait ...) très correctement , j'en ai commandé une seconde pour te l'envoyer pour examen, essais et avis ... Je vais t'envoyer "personellement" la doc en attendant ... Ne voulant pas donner de faux espoirs à  tous ceux qui "attendent", j'aimerais que tu donne un feu vert avant de diffuser les coordonnées de la bête ...

Merci et bonne soirée.

Claude
:cool: Claude :cool:
Merlin + Papywizard on Windows 7 & Nokia 770 § N810 & Acer (Netbook) + PanoramaApp Androïd + Deltawave PapyMerlin BT + Autopano
Spherical Pano (180 x 360) with Canon 40D + Canon EF-S 10-22mm f/3.5-4.5 Zoom & Pôle Pano with Canon 5D MK2 and shaved Tokina 10-17 3.5-4.5 AF DX Fisheye
Gigapixel photography with Nikon D200 + Sigma 70-200 F 2.8 EX DG APO HSM

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Sat Aug 02, 2008 9:13 pm

Mmm, j'avoue que je n'ai rien fait pour le support Windows des dernières versions de papywizard. Je viens de résinstaller XP sur mon vieux portable, donc je vais regarder ça de plus près. Mais c'est quand même bizarre : tu as bien installé pygtk pour windows ? Où as-tu récupéré le paquet ?

Sinon, concernant l'interface, j'attend la doc pour voir : ça peut être très intéressant !
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

User avatar
claudevh
Member
 
Posts: 1341
Joined: Sun Nov 25, 2007 11:12 pm
Location: Mont-Saint-André (Belgium)

by claudevh » Sat Aug 02, 2008 10:07 pm

Le lien pour la doc t'a été envoyé par mail !

Je verrai demain d'où vient le package que j'ai installé .

Bonsoir

Claude

:)
:cool: Claude :cool:
Merlin + Papywizard on Windows 7 & Nokia 770 § N810 & Acer (Netbook) + PanoramaApp Androïd + Deltawave PapyMerlin BT + Autopano
Spherical Pano (180 x 360) with Canon 40D + Canon EF-S 10-22mm f/3.5-4.5 Zoom & Pôle Pano with Canon 5D MK2 and shaved Tokina 10-17 3.5-4.5 AF DX Fisheye
Gigapixel photography with Nikon D200 + Sigma 70-200 F 2.8 EX DG APO HSM

User avatar
claudevh
Member
 
Posts: 1341
Joined: Sun Nov 25, 2007 11:12 pm
Location: Mont-Saint-André (Belgium)

by claudevh » Fri Aug 29, 2008 3:14 pm

Bonjour à  tous !

Frédéric, peux tu me dire quelle est la dernière version succeptible de fonctionner sous windows ?

Merci

Claude
:cool: Claude :cool:
Merlin + Papywizard on Windows 7 & Nokia 770 § N810 & Acer (Netbook) + PanoramaApp Androïd + Deltawave PapyMerlin BT + Autopano
Spherical Pano (180 x 360) with Canon 40D + Canon EF-S 10-22mm f/3.5-4.5 Zoom & Pôle Pano with Canon 5D MK2 and shaved Tokina 10-17 3.5-4.5 AF DX Fisheye
Gigapixel photography with Nikon D200 + Sigma 70-200 F 2.8 EX DG APO HSM

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Fri Aug 29, 2008 3:42 pm

Euh, celle pour laquelle il y a un paquet windows, cà d a 9.9-beta1 :

http://www.gbiloba.org/download/papywizard_0.9-beta1.exe

Mais elle ne doit pas supporter le bluetooth :(

J'ai testé la version actuelle, basée sur PyGTK au lieu de Tkinter (PyGTK est le toolkit graphique dispo sur le Nokia, c'est pour ça que j'ai basculé dessus), et ça ne tourne pas : j'ai un gros freeze. Je n'ai pas encore pris le temps de creuser, mais j'ai l'impression que le soucis vient du multi-threading, mal supporté sur PyGTK/Windows.

J'ai lancé un appel à  des développeurs Windows sur la liste PyGTK, pour m'aider à  le faire tourner, et maintenir un paquet, mais je n'ai pas encore eu de réponse :(
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

no avatar
FINE-ART
Member
 
Posts: 42
Joined: Sat Jul 05, 2008 3:05 pm

by FINE-ART » Fri Sep 12, 2008 12:11 pm

Bonjour Fréderic ,
je cherche à  installer papywizard sur mon Nokia N810 ,
j'ai telechargé le logiciel el je l'ai lancé sur le Nokia .
Mais j'ai un message
impossible d'installer papywizard
Applications manquantes :
python2.5
python2.5-hildon
python2.5-gtk2

ou les trouver et comment faire ?

merci

Yvon

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Fri Sep 12, 2008 1:56 pm

Ah, tu es le premier à  installer sur 810 ;)

Bon, déjà , il faut que tu installes papywizard via le manager d'applis, et non pas en téléchargeant le paquet à  la main. Pour ça, il faut que tu ajoutes mon dépôt:

Name: gbiloba.org
Address: http://www.gbiloba.org/debs
Distribution: bora
Component: free

Il faut aussi ajouter le dépôt pour python. En principe, c'est :

Name: Maemo extra
Address: http://repository.maemo.org/extras
Distribution: bora (ou chinook ?)
Component: free non-free

Dis-moi si ça marche. J'ai résumé ça dans la doc :

http://trac.gbiloba.org/papywizard/wiki/UserGuide#Nokia
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

User avatar
fma38
Member
 
Posts: 5827
Joined: Wed Dec 07, 2005 6:21 pm
Location: Grenoble, France

by fma38 » Sun Sep 14, 2008 10:02 pm

Bon Yvon a finalement pu faire tourner papywizard sur son N810 ; je sais donc qu'il tourne sur les 3 devices Nokia (770, N800 et N810) ;)

J'en profite pour demander si' l'un ou l'une d'entre-vous possède a un FreeRunner, vous savez, ce téléphone dont les spécifications sont entièrement libres, et qui permet de faire tourner le projet Openmoko ? Tout est ici :

http://wiki.openmoko.org

à€ priori, PyGTK est dispo, donc papywizard pourrait tourner dessus... Si j'avais besoin d'un téléphone portable, je m'en payerais sûrement un (mais bon, en fait, je ne veux pas de portable !).
Frédéric

Canon 20D + 17-40/f4 L USM + 70-200/f4 L USM + 50/f1.4 USM
Merlin/Orion panohead + Papywizard on Nokia N800 and HP TC-1100

Next

Return to Tête panoramique motorisée: Merlin, Orion et Papywizard

Who is online

Users browsing this forum: No registered users and 2 guests